For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTSet ExternalSync flag for Wros
      • GETGet Multiple Warehouse Receiving Orders
      • POSTCreate Warehouse Receiving Order
      • POSTCancel Warehouse Receiving Order
      • GETGet Fulfillment Centers
      • GETGet Warehouse Receiving Order
      • GETGet Warehouse Receiving Order Boxes
      • GETGet Warehouse Receiving Order Box Labels
      • GETGet Inventory Distributions by WRO ID
LogoLogo
API ReferenceReceiving

Set ExternalSync flag for Wros

||View as Markdown|
POST
https://sandbox-api.shipbob.com/2026-01/receiving:setExternalSync
POST
/2026-01/receiving:setExternalSync
$curl -X POST https://sandbox-api.shipbob.com/2026-01/receiving:setExternalSync \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json-patch+json" \
> -d '{
> "ids": [
> 0
> ],
> "is_external_sync": true
>}'
1{
2 "box_labels_uri": "https://api.shipbob.com/2026-01/receiving/1/labels",
3 "box_packaging_type": "EverythingInOneBox",
4 "expected_arrival_date": "2019-08-24T14:15:22+00:00",
5 "external_sync_timestamp": "2019-08-24T14:15:22+00:00",
6 "fulfillment_center": {
7 "address1": "5900 W Ogden Ave",
8 "address2": "Suite 100",
9 "city": "Cicero",
10 "country": "USA",
11 "email": "example@example.com",
12 "id": 0,
13 "name": "Cicero (IL)",
14 "phone_number": "555-555-5555",
15 "state": "IL",
16 "timezone": "Central Standard Time",
17 "zip_code": "60804"
18 },
19 "id": 0,
20 "insert_date": "2019-08-24T14:15:22+00:00",
21 "inventory_quantities": [
22 {
23 "expected_quantity": 0,
24 "inventory_id": 0,
25 "received_quantity": 0,
26 "sku": "string",
27 "stowed_quantity": 0
28 }
29 ],
30 "last_updated_date": "2019-08-24T14:15:22+00:00",
31 "package_type": "Package",
32 "purchase_order_number": "string",
33 "status": "Awaiting"
34}
Sets the external sync flag for one or more warehouse receiving orders to enable or disable external synchronization.
Was this page helpful?
Previous

Get Completely Cancelled Orders

Next

Get Multiple Warehouse Receiving Orders

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Request

The list of wro ids and a flag to enable external sync
idslist of integersOptional
is_external_syncbooleanOptional

Response

Success
box_labels_uristring
URL to the packing slip to be included in each box shipment for this receiving order
box_packaging_typeenum
Allowed values:
expected_arrival_datedatetime
Expected date that all packages will have arrived
external_sync_timestampdatetime
The timestamp in UTC when a 3rd party integrator has set in our system
fulfillment_centerobject
Information about a fulfillment center
idinteger
Unique id of the warehouse receiving order
insert_datedatetime
Insert date of the receiving order
inventory_quantitieslist of objects
Inventory items and quantities within the WRO
last_updated_datedatetime
Last date the receiving order was updated
package_typeenum
Allowed values:
purchase_order_numberstring
Purchase order number for a receiving order
statusenum
status_historylist of objects
The history of status changes for this receiving order

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error